commit:     029fea8e2104766b7119a19d1aca33d67f22c06d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 10 04:43:38 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 10 05:05:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=029fea8e

dev-python/selenium: Bump to 4.14.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/selenium/Manifest               |  2 +
 dev-python/selenium/selenium-4.14.0.ebuild | 63 ++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/selenium/Manifest b/dev-python/selenium/Manifest
index bd6b87c70753..f7c2ef45fec1 100644
--- a/dev-python/selenium/Manifest
+++ b/dev-python/selenium/Manifest
@@ -1,2 +1,4 @@
 DIST selenium-4.13.0.tar.gz 9266949 BLAKE2B 
fbf6bf204b47648d67f3205729db232097a92bc3fbb491bb98308e1171d4a7b090f57f5153f07a642a5e6f476c12758496021fc2a7fc02ea7d525d9e4bef5fb7
 SHA512 
9f1531a5693d1f67a7fcafd0623bfaf85876fa0bf6292679a04d5b3976b1e8a46ea2718ae61b8f2da68005d7b6e11cda6eb9390b0094756a26fadec839e3efe8
+DIST selenium-4.14.0.tar.gz 9710348 BLAKE2B 
038660990ce32c725b7c166031a7e78be5df2f9b1d0abe133e73566a9b9060c189310269fcf5db1330c2a2b1ed2901d8453b7134094528c73ca9dff899258914
 SHA512 
b41d81eeecdce428bfadfa3dc8c190512eb4243f710730519a3868987fa5f21db4a0fd7666b0dc9f40e56fbcf046f79a799ed32a31b7ab7e3c440d7f990a00bd
 DIST selenium-selenium-4.13.0.gh.tar.gz 78263115 BLAKE2B 
8f06ee9e6a8ac8a63c3f016d3e310ba22ac0bd5566f06f6d6f71f269084bafa00f0627aaf1103f2f28a8785e81ace1652b64a271a23fdc74a56c0bf118ccd2ca
 SHA512 
7156b28326492efa189ec4d5e53e131f4e8fb3aea97ce6632b0a9a81e04e238645b4994e348fa6e3f689e5472f569dfe95fdb11a6bd8456381b85d41fb0ede61
+DIST selenium-selenium-4.14.0.gh.tar.gz 78721372 BLAKE2B 
f57f5ed30f4439a83308909f5233187f924476de455d9b6504255e56a3217844d206968a96963c0f824c1a7dc5e69a196dde50a0cfb291820e6690be67a87c5e
 SHA512 
b3b3f375ef0589cdc2afb454b50678ebe881d08cea841c697c9a5a4d745fc8ac84f941d2f5bbea9082c6e0c7052b7c5f08207947bb4389b0322c257dc81dcc89

diff --git a/dev-python/selenium/selenium-4.14.0.ebuild 
b/dev-python/selenium/selenium-4.14.0.ebuild
new file mode 100644
index 000000000000..2f638fc8415a
--- /dev/null
+++ b/dev-python/selenium/selenium-4.14.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+# upstream sometimes tags it as ${P}, sometimes as ${P}-python, sigh
+TEST_TAG=${P}
+TEST_P=selenium-${TEST_TAG}
+
+DESCRIPTION="Python language binding for Selenium Remote Control"
+HOMEPAGE="
+       https://www.seleniumhq.org/
+       https://github.com/SeleniumHQ/selenium/tree/trunk/py/
+       https://pypi.org/project/selenium/
+"
+SRC_URI+="
+       test? (
+               
https://github.com/SeleniumHQ/selenium/archive/${TEST_TAG}.tar.gz
+                       -> ${TEST_P}.gh.tar.gz
+       )
+"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+       >=dev-python/certifi-2021.10.8[${PYTHON_USEDEP}]
+       <dev-python/trio-1[${PYTHON_USEDEP}]
+       >=dev-python/trio-0.17[${PYTHON_USEDEP}]
+       <dev-python/trio-websocket-1[${PYTHON_USEDEP}]
+       >=dev-python/trio-websocket-0.9[${PYTHON_USEDEP}]
+       <dev-python/urllib3-3[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.26[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO: we may need extra setup or deps
+               test/selenium
+
+               # expects vanilla certifi
+               
test/unit/selenium/webdriver/remote/remote_connection_tests.py::test_get_connection_manager_for_certs_and_timeout
+       )
+
+       cd "${WORKDIR}/${TEST_P}/py" || die
+       rm -rf selenium || die
+       # 
https://github.com/SeleniumHQ/selenium/blob/selenium-4.8.2-python/py/test/runner/run_pytest.py#L20-L24
+       # seriously?
+       epytest -o "python_files=*_tests.py test_*.py"
+}

Reply via email to